New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Android 5.0 "error: only position independent executables (PIE) are supported." #321

Closed
ffallah opened this Issue Jan 1, 2015 · 9 comments

Comments

Projects
None yet
2 participants
@ffallah

ffallah commented Jan 1, 2015

@tatsuhiro-t

This comment has been minimized.

Show comment
Hide comment
@tatsuhiro-t

tatsuhiro-t Jan 2, 2015

Collaborator

Thank you. Looks like we need to build android binary with android-16.

Collaborator

tatsuhiro-t commented Jan 2, 2015

Thank you. Looks like we need to build android binary with android-16.

@ffallah

This comment has been minimized.

Show comment
Hide comment
@ffallah

ffallah Jan 2, 2015

Yes. I also believe you need to compile using the latest android NDK.
If you had time to do that, I would be happy to test it and report back :)

ffallah commented Jan 2, 2015

Yes. I also believe you need to compile using the latest android NDK.
If you had time to do that, I would be happy to test it and report back :)

@tatsuhiro-t

This comment has been minimized.

Show comment
Hide comment
@tatsuhiro-t

tatsuhiro-t Feb 1, 2015

Collaborator

Check latest 1.18.9 released just now. We built android binary with NDK r10d and Android 16 API.

Collaborator

tatsuhiro-t commented Feb 1, 2015

Check latest 1.18.9 released just now. We built android binary with NDK r10d and Android 16 API.

@ffallah

This comment has been minimized.

Show comment
Hide comment
@ffallah

ffallah Feb 2, 2015

It still gives this error :
error: only position independent executables (PIE) are supported.
I highly recommend you to read the stackoverflow link. may be some other changes are required for it to work on Android 5+

ffallah commented Feb 2, 2015

It still gives this error :
error: only position independent executables (PIE) are supported.
I highly recommend you to read the stackoverflow link. may be some other changes are required for it to work on Android 5+

@tatsuhiro-t

This comment has been minimized.

Show comment
Hide comment
@tatsuhiro-t

tatsuhiro-t Feb 2, 2015

Collaborator

Thank you for testing. I built another binary with -fPIE and -pie flags set.
https://sourceforge.net/projects/aria2/files/debug/gh-321/
Could you test it again?

Collaborator

tatsuhiro-t commented Feb 2, 2015

Thank you for testing. I built another binary with -fPIE and -pie flags set.
https://sourceforge.net/projects/aria2/files/debug/gh-321/
Could you test it again?

@ffallah

This comment has been minimized.

Show comment
Hide comment
@ffallah

ffallah Feb 2, 2015

It works fine now. Good job :)

ffallah commented Feb 2, 2015

It works fine now. Good job :)

@tatsuhiro-t

This comment has been minimized.

Show comment
Hide comment
@tatsuhiro-t

tatsuhiro-t Feb 2, 2015

Collaborator

Thanks. I'll upload new binary to proper download section.

Collaborator

tatsuhiro-t commented Feb 2, 2015

Thanks. I'll upload new binary to proper download section.

@tatsuhiro-t

This comment has been minimized.

Show comment
Hide comment
@tatsuhiro-t

tatsuhiro-t Feb 7, 2015

Collaborator

Finally I upload PIE build to sf.net.

Collaborator

tatsuhiro-t commented Feb 7, 2015

Finally I upload PIE build to sf.net.

@ghost

This comment has been minimized.

Show comment
Hide comment
@ghost

ghost Mar 23, 2016

i want to use GDB debugger. is there a fix for Sony Xperia Z3 Comapct?

ghost commented Mar 23, 2016

i want to use GDB debugger. is there a fix for Sony Xperia Z3 Comapct?

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment